package prove_generiche;

import java.sql.*;
import java.util.*;

public class DbUtilities {

public static void main(String[] args) {

    Properties connectionProperties = new Properties();
    connectionProperties.put("user","postgres");
    connectionProperties.put("password","sa");

    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        e.printStackTrace();
    }

    try {

        Scanner sc = new Scanner(System.in);
        Connection connection = DriverManager.getConnection("jdbc:postgresql:prove_luigi", connectionProperties);
        System.out.println("Inserisci il codice del prodotto di cui vuoi ottenere informazioni");
        String productId = sc.nextLine();

        PreparedStatement st = connection.prepareStatement("SELECT P.\"Nome\"  from \"prodotti_fornitori\".\"Prodotti\" P where P.\"CP\" = ?");
        st.setString(1,productId);
        ResultSet rs = st.executeQuery();

        if(rs.next()) {
            System.out.println("La descrizione del prodotto è: " + rs.getString(1));
        }

        connection.close();

    } catch (SQLException e) {
        e.printStackTrace();
    }

}

}




