package prove_generiche;

import java.sql.*;
import java.util.Properties;

public class DbUtilities4 {

public static void main(String[] args) {

    Properties connectionProperties = new Properties();
    connectionProperties.put("user","postgres");
    connectionProperties.put("password","sa");

    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        e.printStackTrace();
    }

    try {
        Connection connection = DriverManager.getConnection("jdbc:postgresql:prove_luigi", connectionProperties);
        String query = "SELECT DISTINCT \"Nome\"  from \"prodotti_fornitori\".\"Prodotti\"";
        PreparedStatement st = connection.prepareStatement(query,ResultSet.TYPE_SCROLL_INSENSITIVE,ResultSet.CONCUR_UPDATABLE);
        ResultSet rs = st.executeQuery();


        if(rs.absolute(2))
            System.out.println("Prodotto in seconda posizione: " + rs.getString("Nome"));

        rs.previous();
        System.out.println("Prodotto in prima posizione: " + rs.getString("Nome"));

        rs.next();
        rs.relative(-1);
        System.out.println("Prodotto in prima posizione: " + rs.getString("Nome"));

        connection.close();

    } catch (SQLException e) {
        e.printStackTrace();
    }

}

}