package prove_generiche;

import com.sun.rowset.JdbcRowSetImpl;

import javax.sql.rowset.JdbcRowSet;
import java.sql.*;
import java.util.Properties;

public class DbUtilities6 {

public static void main(String[] args) {

    Properties connectionProperties = new Properties();
    connectionProperties.put("user","postgres");
    connectionProperties.put("password","sa");

    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        e.printStackTrace();
    }

    try {
        Connection connection = DriverManager.getConnection("jdbc:postgresql:prove_luigi", connectionProperties);

        String query = "SELECT *  from \"prodotti_fornitori\".\"Prodotti\" WHERE \"CP\" = ?";

        JdbcRowSet jrs = new JdbcRowSetImpl(connection);
        jrs.setCommand(query);
        jrs.setString(1,"0001");
        jrs.execute();
        jrs.next();

        String nome = jrs.getString("Nome");
        System.out.println("Il nome del primo prodotto è: " + nome);

        jrs.updateString("Nome","Laptop");
        jrs.updateRow();

        nome = jrs.getString("Nome");

        System.out.println("Il nome del primo prodotto è ora: " + nome);


        connection.close();

    } catch (SQLException e) {
        e.printStackTrace();
    }

}

}