package prove_generiche;

import java.sql.*;
import java.util.Properties;

public class DbUtilities8 {

public static void main(String[] args) {

    Properties connectionProperties = new Properties();
    connectionProperties.put("user","postgres");
    connectionProperties.put("password","sa");

    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        e.printStackTrace();
    }

    Connection connection = null;
    PreparedStatement st = null;
    ResultSet rs = null;

    try {
        connection = DriverManager.getConnection("jdbc:postgresql:prove_luigi", connectionProperties);
        String query = "SELECT DISTINCT \"Nome\"  from \"prodotti_fornitori\".\"Prodotti\"";
        st = connection.prepareStatement(query);
        rs = st.executeQuery();

        while(rs.next()) {
            System.out.println(rs.getString(1));
        }

    } catch (SQLException e) {
        e.printStackTrace();
    } finally {

        if (rs!=null)
            try {
                rs.close();
            } catch(SQLException e) {
                e.printStackTrace();
            }

        if(st!=null)
            try {
                st.close();
            } catch(SQLException e) {
                e.printStackTrace();
            }

        if (connection!=null)
            try {
                connection.close();
            } catch(SQLException e) {
                e.printStackTrace();
            }

    }

}

}