package prove_generiche;

import java.sql.*;
import java.util.Properties;
import java.util.Scanner;

public class DbUtilities1_1 {

public static void main(String[] args) {

    Properties connectionProperties = new Properties();
    connectionProperties.put("user","postgres");
    connectionProperties.put("password","sa");

    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        e.printStackTrace();
    }

    try {

        Scanner sc = new Scanner(System.in);
        Connection connection = DriverManager.getConnection("jdbc:postgresql:prove_luigi", connectionProperties);
        System.out.println("Inserisci il codice del prodotto di cui vuoi ottenere informazioni");
        String productId = sc.nextLine();

        PreparedStatement st = connection.prepareStatement("SELECT P.\"Nome\"  from \"prodotti_fornitori\".\"Prodotti\" P where P.\"CP\" = ?");
        PreparedStatement upd = connection.prepareStatement("UPDATE \"prodotti_fornitori\".\"Prodotti\" SET \"Nome\"=? WHERE \"CP\" = ?");

        st.setString(1,productId);
        ResultSet rs = st.executeQuery();

        if(rs.next()) {
            System.out.println("Il nome del prodotto è: " + rs.getString(1));
            System.out.println("Inserire il nuovo nome desiderato: ");
            st.close();
            String descrizione = sc.nextLine();
            upd.setString(1,descrizione);
            upd.setString(2,productId);
            if(upd.executeUpdate()>0)
                System.out.println("Descrizione aggiornata");
        }

        connection.close();

    } catch (SQLException e) {
        e.printStackTrace();
    }

}

}




