package prove_generiche;

import java.sql.*;
import java.util.Properties;

public class DbUtilities5 {

public static void main(String[] args) {

    Properties connectionProperties = new Properties();
    connectionProperties.put("user","postgres");
    connectionProperties.put("password","sa");

    try {
        Class.forName("org.postgresql.Driver");
    } catch (ClassNotFoundException e) {
        e.printStackTrace();
    }

    try {
        Connection connection = DriverManager.getConnection("jdbc:postgresql:prove_luigi", connectionProperties);
        String query = "SELECT DISTINCT *  from \"prodotti_fornitori\".\"Prodotti\"";
        PreparedStatement st = connection.prepareStatement(query,ResultSet.TYPE_SCROLL_INSENSITIVE,ResultSet.CONCUR_UPDATABLE);
        ResultSet rs = st.executeQuery();


        if(rs.absolute(1))
            System.out.println("Prodotto in prima posizione: " + rs.getString("Nome"));

        rs.updateString("Nome","Laptop");
        rs.updateRow();

        rs.moveToInsertRow();
        rs.updateString("CP","0004");
        rs.updateString("Marca","Apple");
        rs.updateString("Nome","Mobile");
        rs.updateString("Modello","Iphone");

        rs.insertRow();

        connection.close();

    } catch (SQLException e) {
        e.printStackTrace();
    }

}

}